DALL-E 3
| Provider | OpenAI |
| Model name | dall-e-3 |
| Endpoint | /v1/images/generations |
| Credits | 8 per image |
| Sizes | 1024x1024, 1792x1024, 1024x1792 |
Features
Section titled “Features”- Excellent prompt understanding
- Realistic outputs
- Multiple resolutions
API Usage
Section titled “API Usage”from openai import OpenAI
client = OpenAI( api_key="YOUR_API_KEY", base_url="https://api.hiapi.ai/v1")
response = client.images.generate( model="dall-e-3", prompt="a futuristic city at sunset", size="1024x1024")
print(response.data[0].url)curl -X POST https://api.hiapi.ai/v1/images/generations \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "model": "dall-e-3", "prompt": "a futuristic city at sunset", "size": "1024x1024" }'import OpenAI from "openai";
const client = new OpenAI({ apiKey: "YOUR_API_KEY", baseURL: "https://api.hiapi.ai/v1"});
const response = await client.images.generate({ model: "dall-e-3", prompt: "a futuristic city at sunset", size: "1024x1024"});
console.log(response.data[0].url);